## org.apache.lucene.analysis.fr
Class ElisionFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.fr.ElisionFilter

    public class ElisionFilter

extends org.apache.lucene.analysis.TokenFilter

Removes elisions from a `TokenStream`. For example, "l'avion" (the plane) will be tokenized as "avion" (plane).

Note that `StandardTokenizer` sees " ' " as a space, and cuts it out.

See Also:
  Elision in Wikipedia

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`protected` `ElisionFilter(org.apache.lucene.analysis.TokenStream input)` Constructs an elision filter with standard stop words
`` `ElisionFilter(org.apache.lucene.analysis.TokenStream input, java.util.Set articles)` Constructs an elision filter with a Set of stop words
`` `ElisionFilter(org.apache.lucene.analysis.TokenStream input, java.lang.String[] articles)` Constructs an elision filter with an array of stop words

Method Summary
`boolean` `incrementToken()` Increments the `TokenStream` with a `TermAttribute` without elisioned start
`org.apache.lucene.analysis.Token` `next()` Deprecated. Will be removed in Lucene 3.0. This method is final, as it should not be overridden. Delegates to the backwards compatibility layer.
`org.apache.lucene.analysis.Token` `next(org.apache.lucene.analysis.Token reusableToken)` Deprecated. Will be removed in Lucene 3.0. This method is final, as it should not be overridden. Delegates to the backwards compatibility layer.
`void` `setArticles(java.util.Set articles)`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`getOnlyUseNewAPI, setOnlyUseNewAPI`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ElisionFilter

    protected ElisionFilter(org.apache.lucene.analysis.TokenStream input)

  Constructs an elision filter with standard stop words

### ElisionFilter

    public ElisionFilter(org.apache.lucene.analysis.TokenStream input,
                         java.util.Set articles)

  Constructs an elision filter with a Set of stop words

### ElisionFilter

    public ElisionFilter(org.apache.lucene.analysis.TokenStream input,
                         java.lang.String[] articles)

  Constructs an elision filter with an array of stop words

Method Detail

### setArticles

    public void setArticles(java.util.Set articles)

### incrementToken

    public final boolean incrementToken()
                                 throws java.io.IOException

  Increments the `TokenStream` with a `TermAttribute` without elisioned start

  Overrides:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `java.io.IOException`

### next

    public final org.apache.lucene.analysis.Token next(org.apache.lucene.analysis.Token reusableToken)
                                                throws java.io.IOException

  Deprecated. Will be removed in Lucene 3.0. This method is final, as it should not be overridden. Delegates to the backwards compatibility layer.

  Overrides:
    `next` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `java.io.IOException`

### next

    public final org.apache.lucene.analysis.Token next()
                                                throws java.io.IOException

  Deprecated. Will be removed in Lucene 3.0. This method is final, as it should not be overridden. Delegates to the backwards compatibility layer.

  Overrides:
    `next` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.